%define major 6
%define libxdmcp %mklibname xdmcp %{major}
%define devxdmcp %mklibname xdmcp -d

Name: libxdmcp
Summary: X Display Manager Control Protocol library
Version: 1.1.1
%define  subrel 1
Release: %mkrel 7
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{version}.tar.bz2

BuildRequires: libbsd-devel
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Display Manager Control Protocol library

#-----------------------------------------------------------

%package -n %{libxdmcp}
Summary: Shared library of %{name}
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxdmcp}
X Display Manager Control Protocol library.

%files -n %{libxdmcp}
%{_libdir}/libXdmcp.so.%{major}
%{_libdir}/libXdmcp.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxdmcp}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxdmcp} = %{version}-%{release}
Provides: libxdmcp-devel = %{version}-%{release}
Obsoletes: %{_lib}xdmcp6-devel < 1.1.1-4
Obsoletes: %{_lib}xdmcp6-static-devel < 1.1.1-4

%description -n %{devxdmcp}
Development files for %{name}

%files -n %{devxdmcp}
%{_datadir}/doc/libXdmcp/xdmcp.xml
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/xdmcp.pc
%{_includedir}/X11/Xdmcp.h

%prep
%setup -q -n libXdmcp-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Fri Aug 11 2017 neoclust <neoclust> 1.1.1-7.1.mga5
+ Revision: 1139739
- use libbsd for randoms (CVE-2017-2625, mga#20377)

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-7.mga5
+ Revision: 743476
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 681874
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-5.mga4
+ Revision: 532717
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.1.1-4.mga4
+ Revision: 469449
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop .la files
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.1.1-3.mga3
+ Revision: 397154
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 358544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.1.1-1.mga2
+ Revision: 222238
- new release

  + anssi <anssi>
    - fix summary and description of library package

* Wed Jan 12 2011 dmorgan <dmorgan> 1.1.0-1.mga1
+ Revision: 6633
- imported package libxdmcp


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 590581
- adjust filelist
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdv2010.1
+ Revision: 520964
- rebuilt for 2010.1

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2010.0
+ Revision: 448645
- new release
- drop visibility patch

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-7mdv2010.0
+ Revision: 425884
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-6mdv2009.0
+ Revision: 264972
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-5mdv2009.0
+ Revision: 214366
- Rebuild to match changes in xtrans.
- Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-4mdv2008.1
+ Revision: 151455
- Update BuildRequires and rebuild.

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-3mdv2008.1
+ Revision: 150851
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Paulo Andrade <pcpa@mandriva.com.br>
    - This is a "noop" patch. But it can be considered a list of the functions,
      code from X Server uses from libXdmcp, at a later stage, this library can be
      changed to make available only the public symbols.


* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-1mdv2007.0
+ Revision: 121697
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

